Ruby 1.8.5 Warnings in Rails

I have ruby 1.8.5 installed. Everytime I enter a rails command, I get a
long stream of warnings telling me that the colon is being obsoleted,
that a semicolon should be used instead.

Does anyone know how to stop these warnings from coming up? They get in
the way of real messages from rails.

tia
—Michael

Michael S. wrote:

I get a long stream of warnings telling me that the colon is being obsoleted,
that a semicolon should be used instead.

In what context is the colon being deprecated? The only time I see
colons being used are in symbols and the ternary operator.

Daniel W. wrote:

Michael S. wrote:

I get a long stream of warnings telling me that the colon is being obsoleted,
that a semicolon should be used instead.

In what context is the colon being deprecated? The only time I see
colons being used are in symbols and the ternary operator.

in context of on line case/when statements

eg:

case …
when cond : value
end

there should be semicolon in place of a colon

just run Ruby with -W0 argument in your scripts (notably rake and gem)

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs